OpenMesh::StripifierT< Mesh > Class Template Reference

This class decomposes a triangle mesh into several triangle strips. More...

`#include <OpenMesh/Tools/Utils/StripifierT.hh>`

## Public Types

typedef unsigned int | Index
typedef std::vector< Index > | Strip
typedef Strip::const_iterator | IndexIterator
typedef std::vector< Strip > | Strips
typedef Strips::const_iterator | StripsIterator

## Public Member Functions

| StripifierT (Mesh &_mesh)
| Default constructor.
| ~StripifierT ()
| Destructor.
size_t | stripify ()
| Compute triangle strips, returns number of strips.
void | clear ()
| delete all strips
size_t | n_strips () const
| returns number of strips
bool | is_valid () const
| are strips computed?
StripsIterator | begin () const
| Access strips.
StripsIterator | end () const
| Access strips.

## Detailed Description

### template<class Mesh>
class OpenMesh::StripifierT< Mesh >

This class decomposes a triangle mesh into several triangle strips.

The documentation for this class was generated from the following files:

- OpenMesh/Tools/Utils/StripifierT.hh
- OpenMesh/Tools/Utils/StripifierT.cc